[![Code Climate](https://codeclimate.com/github/rsb/puddle/badges/gpa.svg)](https://codeclimate.com/github/rsb/puddle)
[![Test Coverage](https://codeclimate.com/github/rsb/puddle/badges/coverage.svg)](https://codeclimate.com/github/rsb/puddle/coverage)
[![Build Status](https://travis-ci.org/rsb/puddle.svg?branch=master)](https://travis-ci.org/rsb/puddle)
[![Gem Version](https://badge.fury.io/rb/puddle.svg)](http://badge.fury.io/rb/puddle)
# Puddle
Puddle can be used in two different ways. Firstly, it is a command line utility
that simplifies creating, destroying or modifying digital ocean droplets, ssh
keys or domains. Secondly, it can be used as a library that can do the same
thing as the command line interface accept programmatically. I decided to write
puddle because I am working with continuous deployment pipelines and I wanted a
gem I had control over so that the pipelines could manage digital ocean objects.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'puddle'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install puddle

## Usage

TODO: Write usage instructions here

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake false` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/puddle. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.

