# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'puddle/version'

Gem::Specification.new do |spec|
  spec.name          = "puddle"
  spec.version       = Puddle::VERSION
  spec.authors       = ["Robert Scott-Buccleuch"]
  spec.email         = ["rsb.code@gmail.com"]

  spec.summary       = %q{api wrapper to simplify managing droplets, ssh keys, domains etc...}
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/rsb/puddle"

  spec.files = `git ls-files -z`.split("\x0").reject {|f| f.match(%r{^(test|spec|features)/})}
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.licenses         = ['MIT']
  spec.add_dependency "thor",        "~> 0.19.1"
  spec.add_dependency "rest-client", "~> 1.8.0"

  spec.add_development_dependency "pry",     "~> 0.10.1"
  spec.add_development_dependency "webmock", "~> 1.21.0"
  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rspec",   "~> 3.3"
  spec.add_development_dependency "rake",    "~> 10.0"
end
